import type { ComputePositionConfig, ComputePositionReturn, Middleware, Padding } from "@floating-ui/core";
import type { Options } from "@floating-ui/dom/src/autoUpdate";
import type { Writable } from "svelte/store";
export declare type ComputeConfig = Omit<ComputePositionConfig, "platform"> & {
    onComputed?: (computed: ComputePositionReturn) => void;
    /**
    * false: Don't initialize autoUpdate;
    * true: Standard autoUpdate values from the documentation;
    * object: All as in the autoUpdate documentation. Your parameters are added to the default ones;
    * @default true
    */
    autoUpdate?: boolean | Partial<Options>;
};
export declare type UpdatePosition = (contentOptions?: Omit<ComputeConfig, 'autoUpdate'>) => void;
export declare type ReferenceAction = (node: HTMLElement) => void;
export declare type ContentAction = (node: HTMLElement, contentOptions?: ComputeConfig) => void;
export declare type ArrowOptions = {
    padding?: Padding;
    element: Writable<HTMLElement>;
};
export declare function createFloatingActions(initOptions?: ComputeConfig): [ReferenceAction, ContentAction, UpdatePosition];
export declare function arrow(options: ArrowOptions): Middleware;
